- include_role:
    name: commons
    tasks_from: helpers/resolve-component.yaml
  vars:
    obj_apivers: wopla.io/v1beta1
    obj_kind: Rspamd
- name: Sets Rspamd CR Facts
  set_fact:
    rspamd_name: "{{ ('rspamd-' ~ found_cr.resources[0].metadata.name)
                       if (found_cr is defined
                           and found_cr.resources is defined
                           and found_cr.resources | length > 0)
                       else False }}"
    rspamd_namespace: "{{ found_cr.resources[0].metadata.namespace
                            if (found_cr is defined
                                and found_cr.resources is defined
                                and found_cr.resources | length > 0)
                            else False }}"
- name: Sets Rspamd Facts
  set_fact:
    rspamd_controller_address: "{{ found_cr.resources[0].status.controller_internal }}"
    rspamd_controller_public: "{{ found_cr.resources[0].status.controller_public }}"
    rspamd_milter_address: "{{ found_cr.resources[0].status.milter_internal }}"
    rspamd_normal_address: "{{ found_cr.resources[0].status.normal_internal }}"
  when:
  - found_cr.resources is defined
  - found_cr.resources | length > 0
  - found_cr.resources[0].status is defined
  - found_cr.resources[0].status.ready is defined
